<?xml version="1.0" encoding="ISO-8859-1"?>

<rss version="0.91">
  <channel>
    <title>Changes report</title>
    <link>http://commons.apache.org/scxml/</link>
    <description>Changes report</description>
    <language>en-us</language>
    <copyright>Copyright 2004 The Apache Software Foundation</copyright>
    <item>
      <title>40 change(s) for version 0.7</title>
      <link>http://commons.apache.org/scxml//changes-report.html</link>
      <description>
        <table border="1">
          <tr>
            <th style="width:50px">Type</th>
            <th>Changes</th>
            <th style="width:70px">By</th>
          </tr>
          <tr>
            <td>add</td>
            <td>[12-12-2007] Add experimental Maven2 pom.xml to source distro.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>[12-12-2007] Update JUnit dependency version to 3.8.2.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>[12-08-2007] AbstractStateMachine and SimpleSCXMLListener classes switched to the new SCXMLParser.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>[12-06-2007] Recommended version of Commons Logging has been upgraded to v1.1.1.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[12-06-2007] Wild card event name handling on transitions made in line with WD. Fixes
              <a href="http://issues.apache.org/jira/browse/SCXML-53">SCXML-53</a>.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[12-04-2007] Clarify via class Javadoc interaction model between Invokers and parent executor. Fixes
              <a href="http://issues.apache.org/jira/browse/SCXML-61">SCXML-61</a>.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>add</td>
            <td>[12-04-2007] Add support for the &lt;event&gt; tag. Fixes
              <a href="http://issues.apache.org/jira/browse/SCXML-55">SCXML-55</a>.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[12-04-2007] Object model not stateless due to State class. Store the completion status for composite states along with other instance information in the executor. Fixes
              <a href="http://issues.apache.org/jira/browse/SCXML-58">SCXML-58</a>.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[12-04-2007] Deprecate SCXMLDigester class in favor of the new SCXMLParser class. The new class supports newer Working Drafts and has better naming.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[12-03-2007] Fix possible race condition in AsyncTrigger class. Fixes
              <a href="http://issues.apache.org/jira/browse/SCXML-60">SCXML-60</a>. Thanks to Andy Bailey .</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[12-03-2007] Events from custom actions missing payload. Also fix test classes to safely create contexts. Fixes
              <a href="http://issues.apache.org/jira/browse/SCXML-54">SCXML-54</a>. Thanks to Mike Tillberg .</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[12-03-2007] Skip serialization tests if necessary directory cannot be created.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>add</td>
            <td>[11-30-2007] Support nested invokes when using SimpleSCXMLInvoker class.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>add</td>
            <td>[11-16-2007] Update Maven 2 build to include source and binary assemblies and site resources. Thanks to Niall Pemberton .</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#niallp">niallp</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[08-20-2007] Apply per region document order filter for transition conflict resolution. See SCXML-52 for part of discussion.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[08-06-2007] SimpleSCXMLInvoker may miss transition to final state. Fixes
              <a href="http://issues.apache.org/jira/browse/SCXML-49">SCXML-49</a>.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[08-01-2007] Fix conflict resolution for conditionless stay transitions. class. Fixes
              <a href="http://issues.apache.org/jira/browse/SCXML-52">SCXML-52</a>. Thanks to Ingmar Kliche .</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[07-30-2007] Various changes related to the Commons TLP move.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[07-27-2007] Delete existing child nodes before adding new ones when using &lt;assign&gt; to supply new values to &lt;data&gt; nodes. Fixes
              <a href="http://issues.apache.org/jira/browse/SCXML-51">SCXML-51</a>.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[06-26-2007] Fixed subclassing behavior for AbstractStateMachine class. Fixes
              <a href="http://issues.apache.org/jira/browse/SCXML-48">SCXML-48</a>. Thanks to Michael Heuer .</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[06-15-2007] Better names for getter and setter of the boolean property State#isFinal. Previous names deprecated. Fixes
              <a href="http://issues.apache.org/jira/browse/SCXML-44">SCXML-44</a>.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[06-15-2007] Added a SCXMLListener abstract adapter class. Fixes
              <a href="http://issues.apache.org/jira/browse/SCXML-46">SCXML-46</a>. Thanks to Michael Heuer .</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[06-15-2007] Added information about failing expression to evaluation error messages. Fixes
              <a href="http://issues.apache.org/jira/browse/SCXML-41">SCXML-41</a>.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>remove</td>
            <td>[06-14-2007] Remove KEYS file, in favor of one file for all of Commons. Thanks to Henri Yandell .</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#bayard">bayard</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[05-29-2007] Payload of events sent to current scxml session using &lt;send&gt; tag are now injected into engine. Commons SCXML adds the special _eventdatamap variable for storing payloads for derived events. Fixes
              <a href="http://issues.apache.org/jira/browse/SCXML-45">SCXML-45</a>.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>[04-25-2007] Replace deprecated API usage, with current ones.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>[04-25-2007] The test package switched to using SCXMLParser class.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>[04-25-2007] Added support for &lt;final&gt; to SCXMLParser class.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>add</td>
            <td>[04-25-2007] Add a Commons SCXML namespace to support implementation specific actions. Moved &lt;var&gt; and &lt;exit&gt; actions to this implementation specific namespace.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>add</td>
            <td>[03-24-2007] New set of tests matching vocabulary in latest Working Draft, for testing the new SCXMLParser class.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>update</td>
            <td>[03-24-2007] Deprecate various method in the model package (primarily SCXML, State and Parallel classes) based on changes brought on by the latest WDs.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>add</td>
            <td>[03-22-2007] Add new parser (org.apache.commons.scxml.io.SCXMLParser) to support latest WD and improve naming.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>add</td>
            <td>[03-12-2007] The regions of a parallel are entered in document order. This is implementation-specific behavior and users should not rely on it.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>add</td>
            <td>[03-12-2007] Added tests for conflict resolution based on document order and for multiple transition targets.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[03-12-2007] Deprecated various methods in Transition class that refer to a singular target.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>add</td>
            <td>[03-12-2007] Implement ability to support multiple transition targets (space separated list of state IDs). IDs must no longer contain whitespace.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[03-12-2007] Better handling of parent-child relationships (part 1). Fixes
              <a href="http://issues.apache.org/jira/browse/SCXML-30">SCXML-30</a>.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[03-12-2007] Deprecated State#getTransitions() in favor of State#getTransitionsList().</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>add</td>
            <td>[03-09-2007] Implement document order priority for transitions.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
          <tr>
            <td>fix</td>
            <td>[12-18-2006] SCXMLExecutor#logState() now uses debug level to reduce noise at console.</td>
            <td>
              <a href="http://commons.apache.org/scxml//team-list.html#rahul">rahul</a>
            </td>
          </tr>
        </table>
      </description>
    </item>
  </channel>
</rss>